summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2021-04-05 19:48:27 +0300
committerLars Wirzenius <liw@liw.fi>2021-04-05 19:48:27 +0300
commit5fe940663e7129449034007ae3735858e67966b3 (patch)
tree4586b9edc99faf7166efe29b046d5ebe2ee1ec7d
parentf9b5ebeec83204bf9ae5716a9956fa461bf6c250 (diff)
downloadsubplot-5fe940663e7129449034007ae3735858e67966b3.tar.gz
build: drop build-deb script
Our CI no longer needs it so it's cruft.
-rwxr-xr-xbuild-deb43
1 files changed, 0 insertions, 43 deletions
diff --git a/build-deb b/build-deb
deleted file mode 100755
index 369dafa..0000000
--- a/build-deb
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-#
-# Build a Debian .deb package.
-
-set -euo pipefail
-
-cleanup()
-{
- rm -rf "$tmpdir"
-}
-
-# Get location where resulting files should be copied.
-if [ "$#" != 1 ]
-then
- echo "ERROR: must give location where build package should be copied as argument" 1>&2
- exit 1
-fi
-target="$(cd "$1"; pwd)"
-
-# Create a temporary directory and arrange for it to be deleted at the
-# end.
-tmpdir="$(mktemp -d)"
-echo "$tmpdir"
-trap cleanup EXIT
-
-# Get name and version of source package.
-name="$(dpkg-parsechangelog -SSource)"
-version="$(dpkg-parsechangelog -SVersion)"
-
-# Get upstream version: everythin before the last dash.
-uv="$(echo "$version" | sed 's/-[^-]*$//')"
-orig="${name}_${uv}.orig.tar.xz"
-
-# Build the package in a temporary diretory.
-git archive HEAD | xz > "$tmpdir/$orig"
-cd "$tmpdir"
-mkdir src
-tar -C src -xf "$orig"
-cd src
-dpkg-buildpackage -us -uc
-
-# Copy the results to the desired location.
-cp ../*_* "$target"